This is an automated email from the ASF dual-hosted git repository.

desruisseaux pushed a commit to branch geoapi-4.0
in repository https://gitbox.apache.org/repos/asf/sis.git

commit 6276d6c354e0e4d5f3eb28f00bf2764a6ca1722c
Merge: 56effd8 3244fc9
Author: Martin Desruisseaux <martin.desruisse...@geomatys.com>
AuthorDate: Sat Aug 11 14:10:00 2018 +0200

    Merge branch 'JDK9' into geoapi-4.0: require JDK 9 or 10 for building, but 
not for running. At runtime, JDK 8 is still sufficient.

 application/sis-javafx/pom.xml                     |  11 ++
 core/sis-build-helper/pom.xml                      |  59 ++-----
 .../org/apache/sis/internal/doclet/Doclet.java     | 105 +++++++++---
 .../sis/internal/{taglet => doclet}/Include.java   |  42 ++---
 .../apache/sis/internal/doclet/InlineTaglet.java   | 158 ++++++++++++++++++
 .../org/apache/sis/internal/doclet/Module.java     | 113 +++++++++++++
 .../sis/internal/{taglet => doclet}/Preformat.java |  50 ++----
 .../apache/sis/internal/doclet/package-info.java   |   5 +-
 .../apache/sis/internal/taglet/InlineTaglet.java   | 170 -------------------
 .../org/apache/sis/internal/taglet/Module.java     | 182 ---------------------
 .../apache/sis/internal/taglet/package-info.java   |  27 ---
 .../projection/ObliqueStereographicTest.java       |   2 +-
 .../org/apache/sis/measure/RangeFormatTest.java    |  18 +-
 .../src/test/java/org/apache/sis/test/Assert.java  |   6 +-
 pom.xml                                            |  59 +++----
 15 files changed, 450 insertions(+), 557 deletions(-)

diff --cc application/sis-javafx/pom.xml
index 4c42ddd,4c42ddd..bb18dbc
--- a/application/sis-javafx/pom.xml
+++ b/application/sis-javafx/pom.xml
@@@ -66,6 -66,6 +66,17 @@@
         =========================================================== -->
    <build>
      <plugins>
++      <!-- To be removed after SIS has been fully modularized. -->
++      <plugin>
++        <artifactId>maven-compiler-plugin</artifactId>
++        <configuration>
++          <release>9</release>
++          <compilerArgs>
++            <arg>--add-modules</arg> 
<arg>java.xml.bind,java.xml.ws.annotation,javafx.graphics</arg>
++          </compilerArgs>
++        </configuration>
++      </plugin>
++
        <!-- Anticipation for Java 9 -->
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
diff --cc core/sis-build-helper/pom.xml
index ba42d2c,47f822a..c2f2897
--- a/core/sis-build-helper/pom.xml
+++ b/core/sis-build-helper/pom.xml
@@@ -88,6 -88,17 +88,18 @@@
    <build>
      <plugins>
        <plugin>
+         <artifactId>maven-compiler-plugin</artifactId>
+         <configuration>
++          <release>9</release>
+           <compilerArgs>
+             <!-- As of August 2018, we can not yet moduralize Maven plugins 
because the Maven dependencies are
+                  themselves not modularized. Attempts to use them as unnamed 
modules cause package conflicts.
+                  We have to workaround by adding dependencies on the 
command-line instead. -->
+             <arg>--add-modules</arg> <arg>jdk.javadoc</arg>
+           </compilerArgs>
+         </configuration>
+       </plugin>
+       <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-plugin-plugin</artifactId>
          <version>3.5.2</version>
diff --cc pom.xml
index 39e09ac,5ec6e73..bb6e321
--- a/pom.xml
+++ b/pom.xml
@@@ -510,8 -510,8 +510,8 @@@
      <website.locale>en</website.locale>
  
      <!-- Following properties are branch-specific -->
-     <maven.compile.source>1.8</maven.compile.source>
-     <maven.compile.target>1.8</maven.compile.target>
 -    <maven.compiler.source>9</maven.compiler.source>
 -    <maven.compiler.target>9</maven.compiler.target>
++    <maven.compiler.source>8</maven.compiler.source>
++    <maven.compiler.target>8</maven.compiler.target>
      <sis.plugin.version>${project.version}</sis.plugin.version>
      <sis.non-free.version>0.8</sis.non-free.version>
      <geoapi.version>4.0-SNAPSHOT</geoapi.version>
@@@ -590,6 -561,26 +561,26 @@@
         ============================================================== -->
    <build>
      <plugins>
+       <!-- JDK requirement for building (not necessarily for running) -->
+       <plugin>
+         <groupId>org.apache.maven.plugins</groupId>
+         <artifactId>maven-enforcer-plugin</artifactId>
+         <executions>
+           <execution>
+             <id>enforce</id>
+             <goals>
+               <goal>enforce</goal>
+             </goals>
+             <configuration>
+               <rules>
+                 <requireJavaVersion>
 -                  <version>${maven.compiler.target}</version>
++                  <version>9</version>
+                 </requireJavaVersion>
+               </rules>
+             </configuration>
+           </execution>
+         </executions>
+       </plugin>
  
        <!-- Compile -->
        <plugin>

Reply via email to